Get Carrier Biller Non Fiscal Invoice Corrections

GET REST API endpoint for retrieving financial data that will become correction orders (non-fiscal invoice corrections) for delivery services, intended for carrier-biller-integration. Invoice corrections are linked to the CarrierBiller entity via the Shipment <-> Carrier <-> CarrierBiller relationship.

Authentication is performed using a Bearer Token (JWT) obtained via the ClientCredentials flow with scope carrierbiller_public_api/full_access. All timestamps are in UTC.

Invoice corrections can arise at any point after the COLLECTED status. They are generated inFailed Delivery (LOST, DAMAGED, RETURN_TO_SELLER) andCustomer Case (RETURN, CLAIM) processes.

Request

HTTP MethodGET
URLStagehttps://api.qa2.ananastest.com/order/api/v2/carrier-biller-integration/invoice-corrections/non-fiscal
Productionhttps://api.ananas.rs/order/api/v2/carrier-biller-integration/invoice-corrections/non-fiscal
HTTP Headers
Header nameHeader value
AuthorizationBearer {access_token}
Query Parameters
Parameter nameTypeRequiredDescription
statusChangedDateFromISO.DATE_TIMETrueShipment/Suborder status changed date_time from
statusChangedDateToISO.DATE_TIMETrueShipment/Suborder status changed date_time to

Example Request

GET https://api.qa2.ananastest.com/order/api/v2/carrier-biller-integration/invoice-corrections/non-fiscal?statusChangedDateFrom=2026-03-01T00:00:00.0000000Z&statusChangedDateTo=2026-03-01T23:59:59.0000000Z Authorization: Bearer ACCESS_TOKEN

Response

Returns a list of non-fiscal invoice corrections for delivery services associated with the resolved CarrierBiller.

Fields

Field nameTypeDescription
shipmentDetails.orderIdStringOrder ID
shipmentDetails.suborderIdStringSuborder ID
shipmentDetails.suborderTypeStringSuborder type
shipmentDetails.createdDateISO DateTimeSuborder created date
shipmentDetails.carrierCodeStringCarrier code
shipmentDetails.carrierNameStringCarrier name
financialDetails.invoiceTypeStringAlways REFUND for this endpoint
financialDetails.itemsArrayInvoice line items (code, name, quantity, vat, basePrice, basePriceWithoutVat)
financialDetails.paymentArrayPayment details (amount, paymentType)
financialDetails.isLegalEntityBuyerBooleanWhether the buyer is a legal entity
financialDetails.legalEntityBuyerObjectLegal entity buyer info (buyerTin, buyerName). Present only when isLegalEntityBuyer is true
nonfiscalInvoiceDetails.invoiceNumberStringNon-fiscal invoice correction number
nonfiscalInvoiceDetails.invoiceDateISO DateTimeNon-fiscal invoice correction date
nonfiscalInvoiceDetails.referentInvoiceNumberStringInvoice number of the original sale invoice being corrected
nonfiscalInvoiceDetails.activeBooleanWhether the invoice correction is active

Example Response

[
  {
    "shipmentDetails": {
      "orderId": "OQI39-EURSE",
      "suborderId": "OQI39-EURSE-DS-1",
      "suborderType": "DS",
      "createdDate": "2026-03-22T21:10:17.592064Z",
      "carrierCode": "CEX01",
      "carrierName": "City Express"
    },
    "financialDetails": {
      "invoiceType": "REFUND",
      "items": [
        {
          "code": "SHIPPING_COST",
          "name": "DOSTAVA (pripadajuća)",
          "quantity": 1,
          "vat": 20,
          "basePrice": 349.00,
          "basePriceWithoutVat": 290.83
        },
        {
          "code": "CASH_HANDLING_FEE",
          "name": "Naknada za plaćanje pouzećem",
          "quantity": 1,
          "vat": 20,
          "basePrice": 200.00,
          "basePriceWithoutVat": 166.67
        }
      ],
      "payment": [
        {
          "amount": 549,
          "paymentType": "COD"
        }
      ],
      "isLegalEntityBuyer": true,
      "legalEntityBuyer": {
        "buyerTin": "111111111",
        "buyerName": "Mile d.o.o."
      }
    },
    "nonfiscalInvoiceDetails": {
      "invoiceNumber": "F-25260227413",
      "invoiceDate": "2026-03-24T01:25:51Z",
      "referentInvoiceNumber": "25260227412",
      "active": true
    }
  }
]
Copyright © Ananas 2023. All right reserved.